package com.fjhx.mes.service.technology;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.technology.dto.TechnologyDto;
import com.fjhx.mes.entity.technology.dto.TechnologySelectDto;
import com.fjhx.mes.entity.technology.po.Technology;
import com.fjhx.mes.entity.technology.vo.TechnologyVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 工艺 服务类
 * </p>
 *
 * @author
 * @since 2023-03-28
 */
public interface TechnologyService extends BaseService<Technology> {

    /**
     * 工艺分页
     */
    Page<TechnologyVo> getPage(TechnologySelectDto dto);

    /**
     * 工艺明细
     */
    TechnologyVo detail(Long id);

    /**
     * 工艺新增
     */
    void add(TechnologyDto technologyDto);

    /**
     * 工艺编辑
     */
    void edit(TechnologyDto technologyDto);

    void editProduct(TechnologyDto dto);

    /**
     * 工艺删除
     */
    void delete(Long id);
}
